Table of Contents

What's Deleted


GET /Modules/AMPC/StandardTasks/Lookups/LookupStandardTaskMonitoringPointType

Lookup the Monitoring Point Type for the Standard Task.

What's Changed


GET /Modules/AMPC/StandardTasks/{id}
Return Type:

Changed response : 200 OK

Success response - body contains Standard Task

  • Changed content type : application/vnd.onkey.entity+json

    • Changed property properties (object)

      • Added property inspectionType (string)

      • Deleted property isReadingRequired (boolean)

      • Deleted property monitoringPointTypeId (integer)

      • Deleted property monitoringPointTypeCode (string)

      • Deleted property monitoringPointTypeDescription (string)

POST /Modules/AMPC/StandardTasks
Request:

Changed content type : application/vnd.onkey.entity+json

  • Changed property properties (object)

    New optional properties:

    • isReadingRequired
    • Deleted property isReadingRequired (boolean)

    • Deleted property monitoringPointTypeId (integer)

GET /Modules/AMPC/StandardTasks/Batch/{ids}
Return Type:

Changed response : 200 OK

Success response - body contains Standard Task collection

  • Changed content type : application/vnd.onkey.entitycollection+json

    • Changed property items (array)

      Collection of Standard Task entities

      Changed items (object):

      • Changed property properties (object)

        • Added property inspectionType (string)

        • Deleted property isReadingRequired (boolean)

        • Deleted property monitoringPointTypeId (integer)

        • Deleted property monitoringPointTypeCode (string)

        • Deleted property monitoringPointTypeDescription (string)

POST /Modules/AMPC/StandardTasks/Batch
Request:

Changed content type : application/vnd.onkey.entitycollection+json

Changed items (object):

  • Changed property properties (object)

    New optional properties:

    • isReadingRequired
    • Deleted property isReadingRequired (boolean)

    • Deleted property monitoringPointTypeId (integer)